# Brickfield Advanced Grade Rubrics Report #
Copyright (C) 2021 [Brickfield Education Labs](https://www.brickfield.ie/)

## What is the Rubrics report? ##
The Rubrics report plugin allows teachers and managers to drill down past a student's overall advanced graded mark received, and to view all their students' grades and comments for all the criteria from the relevant rubric advanced grading.
This is a course grade report which fits in with the navigation to standard Moodle course grade reports.

## Usage ##
On your course, go to the Grades section.
You will then view the "Rubrics report" tab within the series of course grade report tab options.

On the Rubrics report, teachers can:
* Select the activity within the course to report on.
* Configure which optional data to display, including:
  * Display level. (Default on)
  * Display remarks. (Default on)
  * Display summary. (Default on)
  * Display email. (Default off)
  * Display ID number. (Default off)
* View a pivot table with:
  * All of the course students.
  * All of the activity grade criteria.
  * All of the students' grades and comments per criterion.
  * All of the students' overall grades and feedback.
* Download these results in CSV or Excel format.

## Funding credits ##
Initial funding for this plugin was provided by the National Institute for Digital Learning at Dublin City University. Subsequent funding is by Brickfield Education Labs.

## Version support ##
This plugin has been developed to work on Moodle releases 3.9, 3.10, 3.11, and 4.0.

## Development ##
This Plugin has been developed and is maintained by Brickfield Education Labs.
If you wish to contribute funding to the ongoing development of features and / or maintenance of the plugin - please contact [support@brickfield.ie](mailto:support@brickfield.ie).

## Documentation ##
All public documentation for this plugin will be maintained at the [Rubrics report README file](https://github.com/brickfield/moodle-gradereport_rubrics/blob/main/README.md).

## Important Links ##
* [Code repository](https://github.com/brickfield/moodle-gradereport_rubrics)
* [Plugin Directory](https://moodle.org/plugins/gradereport_rubrics)

## Installation ##
* Unzip and copy the "rubrics" folder into your Moodle's "grade/report/" folder
* Visit the admin page to install plugin

Further installation instructions can be found on the
"[Installing plugins](http://docs.moodle.org/en/Installing_contributed_modules_or_plugins)" Moodle documentation page.
